Bug 1119234 - [abrt] kde-workspace: KCrash::defaultCrashHandler(): plasma-desktop killed by SIGSEGV
Summary: [abrt] kde-workspace: KCrash::defaultCrashHandler(): plasma-desktop killed by...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-workspace
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:aeb950662ef068cf9b95e2e58f0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 10:46 UTC by Oliver Sampson
Modified: 2015-02-18 11:46 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:46:34 UTC


Attachments (Terms of Use)
File: backtrace (60.95 KB, text/plain)
2014-07-14 10:46 UTC, Oliver Sampson
no flags Details
File: cgroup (154 bytes, text/plain)
2014-07-14 10:47 UTC, Oliver Sampson
no flags Details
File: core_backtrace (11.15 KB, text/plain)
2014-07-14 10:47 UTC, Oliver Sampson
no flags Details
File: dso_list (21.13 KB, text/plain)
2014-07-14 10:47 UTC, Oliver Sampson
no flags Details
File: environ (1.89 KB, text/plain)
2014-07-14 10:47 UTC, Oliver Sampson
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-14 10:47 UTC, Oliver Sampson
no flags Details
File: maps (171.32 KB, text/plain)
2014-07-14 10:47 UTC, Oliver Sampson
no flags Details
File: open_fds (150 bytes, text/plain)
2014-07-14 10:47 UTC, Oliver Sampson
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2014-07-14 10:47 UTC, Oliver Sampson
no flags Details
File: var_log_messages (263 bytes, text/plain)
2014-07-14 10:47 UTC, Oliver Sampson
no flags Details

Description Oliver Sampson 2014-07-14 10:46:55 UTC
Description of problem:
I am unsure of what I did that caused this bug.

Version-Release number of selected component:
kde-workspace-4.11.10-2.fc19

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/plasma-desktop --nocrashhandler
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasma-desktop
kernel:         3.14.8-100.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at /usr/src/debug/kdelibs-4.11.5/kdeui/util/kcrash.cpp:346
 #3 TaskManager::TasksModel::rowCount at /usr/src/debug/kde-workspace-4.11.10/libs/taskmanager/tasksmodel.cpp:329
 #4 QDeclarativeVisualDataModel::_q_layoutChanged at graphicsitems/qdeclarativevisualitemmodel.cpp:1398
 #5 QDeclarativeVisualDataModel::qt_static_metacall at .moc/release-shared/moc_qdeclarativevisualitemmodel_p.cpp:406
 #6 QMetaObject::activate at kernel/qobject.cpp:3567
 #7 QAbstractItemModel::layoutChanged at .moc/release-shared/moc_qabstractitemmodel.cpp:176
 #8 QAbstractItemModel::endMoveRows at kernel/qabstractitemmodel.cpp:2673
 #9 itemMoved at /usr/src/debug/kde-workspace-4.11.10/libs/taskmanager/tasksmodel.cpp:524
 #10 TaskManager::TasksModel::qt_static_metacall at /usr/src/debug/kde-workspace-4.11.10/x86_64-redhat-linux-gnu/libs/taskmanager/tasksmodel.moc:135
 #11 QMetaObject::activate at kernel/qobject.cpp:3567

Comment 1 Oliver Sampson 2014-07-14 10:46:59 UTC
Created attachment 917737 [details]
File: backtrace

Comment 2 Oliver Sampson 2014-07-14 10:47:00 UTC
Created attachment 917738 [details]
File: cgroup

Comment 3 Oliver Sampson 2014-07-14 10:47:01 UTC
Created attachment 917739 [details]
File: core_backtrace

Comment 4 Oliver Sampson 2014-07-14 10:47:02 UTC
Created attachment 917740 [details]
File: dso_list

Comment 5 Oliver Sampson 2014-07-14 10:47:03 UTC
Created attachment 917741 [details]
File: environ

Comment 6 Oliver Sampson 2014-07-14 10:47:04 UTC
Created attachment 917742 [details]
File: limits

Comment 7 Oliver Sampson 2014-07-14 10:47:06 UTC
Created attachment 917743 [details]
File: maps

Comment 8 Oliver Sampson 2014-07-14 10:47:07 UTC
Created attachment 917744 [details]
File: open_fds

Comment 9 Oliver Sampson 2014-07-14 10:47:09 UTC
Created attachment 917745 [details]
File: proc_pid_status

Comment 10 Oliver Sampson 2014-07-14 10:47:10 UTC
Created attachment 917746 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-01-09 21:27:17 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-02-18 11:46:34 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.